package com.fibo.ddp.common.model.strategyx.aimodel;

import org.jpmml.evaluator.Evaluator;

import java.time.LocalDateTime;

public class ModelDTO {

    public String createTime = LocalDateTime.now().toString();
    private MachineLearningModels model;
    private String errorMsg;

    private String text;

    private Evaluator evaluator;

    public String getCreateTime() {
        return createTime;
    }

    public void setCreateTime(String createTime) {
        this.createTime = createTime;
    }

    public MachineLearningModels getModel() {
        return model;
    }

    public void setModel(MachineLearningModels model) {
        this.model = model;
    }

    public String getErrorMsg() {
        return errorMsg;
    }

    public void setErrorMsg(String errorMsg) {
        this.errorMsg = errorMsg;
    }

    public Evaluator fetchEvaluator() {
        return evaluator;
    }

    public String getEvaluatorInfo() {
        return evaluator+"";
    }


    public String getText() {
        return text;
    }

    public void setText(String text) {
        this.text = text;
    }

    public void setEvaluator(Evaluator evaluator) {
        this.evaluator = evaluator;
    }
}
